/*
 * @Description: file content
 * @Author: your name
 * @version: 
 * @Date: 2024-06-17 14:51:26
 * @LastEditors: your name
 * @LastEditTime: 2024-06-17 19:48:31
 */
import { genMessage } from '../helper';
import antdLocale from 'ant-design-vue/es/locale/en_US';
import { defHttp } from '/@/utils/http/axios';
import { Api } from '@/api/sys/language';

const modules = import.meta.glob('./en/**/*.{json,ts,js}', { eager: true });
export default {
  message: {
    ...genMessage(modules as Recordable<Recordable>, 'en'),
    antdLocale,
  },
  apiMessage: {
    ...(await defHttp.get(
      { url: `${Api.GetLanguage}?locale=en-us` },
      { isTransformResponse: false },
    )),
    antdLocale,
  },
  dateLocale: null,
  dateLocaleName: 'en',
};
